## indimail-mta 3.1

=== debian/changelog ===
indimail-mta (3.1-1.1+120.1) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 03 Oct 2025 12:22:24 +0000

indimail-mta (3.1-1.1) stable; urgency=low

  * Renamed scripts with .in extension to .sh
  * qmail-remote.c, tcpto.c, tcpto.h: added tcpto timeout definitions in tcpto.h
  * indimail-mta.spec: updated version number for daemontools, ucspi in Requires
  * Fix errors when using GCC14
  * test-recipients.c: Fix gcc14 warnings
  * rd-remote.c: initialize use_regex variable before use
  * installer.c: Fix SEGSEGV
  * debian/rules: Fix dh_strip failure for setuid binaries
  * drate.c: added -a option to alias domains to existing domain definition, -U option to delete rate control definitions.
  * slowq-send.c, qmail-send.c: reorganized code
  * Updated indimail-mta permissions files for SLES
  * date.c: remove domain name check for special domain .global
  * slowq-send.c, qmail-send.c: reset tv.tv_sec on EINVAL
  * qmail-send.c: Fix X-Bounce-Address
  * svctool: fix TEMP_DATE variable
  * debian/Makefile: added Debian 13
  * surblfilter.c, dns.c, dns_text.c: renamed getshort to get_short to fix OSX compilation error
  * read_assign.c: fixed dlen datatype and datatype passed to scan_uint

 -- Manvendra Bhangui <indimail-mta@indimail.org>  Fri, 03 Oct 2025 12:01:05 +0000
